Flash and Flashplayer 10

December 1, 2009

Let’s face it flash is a bitch.  Sadly lots of web pages make use of it.

So if you are using a 64bit architecture then you are almost always shit out of luck.  Well there is finally a way to get around this.  Yes I know that this isn’t anything new, but I haven’t had a need to update until recently.  So naturally I went to Google (if you haven’t picke up on the pattern here by now then I don’t know what’s wrong with you) and took a look around.  Most of the results were restatements of the same method (which didn’t work by the way).  However, I did manage to find one that did, here is the link to the site.  Just in case anyone else might need it.

I’ll say it once again, flash is a bitch.


Flash Issues

July 9, 2009

I would like to start off by saying that I am running Ubuntu 8.04 on a 64-bit architecture.  So some of the usual fixes for the 32bit version just don’t work, but I’ll ramble about those later on.

So if you are like most people you use the internet.  And you might visit this YouTube site every now and then. Well Ubuntu (and probably other Linux distributions) doesn’t have native flash support. Thus you will not be able to watch videos and use various other sites.  Luckily there is a rather painless solution, well there are several but I will only outline one.

First open up our good old friend the terminal. Now type sudo apt-get install flashplungin-nonfree. Then enter your password when prompted.  That’s it, more or less. You should now be able to view any flash content that’s out there on the web (well any that doesn’t require you to have version 10).  After doing this I did however experience a small hick up, as I found out later wasn’t all that rare.  Basically flash would stop working after a while. Pages would still load but the flash content would not.  The solution was to delete the file libflashsupport.so, no idea why but it fixed the problem.  In order to do this you must first find where it is located, which could require some digging around.  Fortunately the terminal comes to our rescue once again (this seems to be a recurring theme). Just enter locate libflashsupport.so, and it will list all the locations where this file is located, pretty neat. The locate command can also work with regular expressions (regx), but seeing as how I don’t know regx as of yet I won’t talk about it.

At this point I think I should further explain apt-get, seeing as how this is a pretty important package handler. The three  “main” uses of this command are to install packages, remove packages, and update/remove ‘useless’ packages.

  1. Installing packages: sudo apt-get install Pkg. Pretty self explanatory from the command.  It installs the package Pkg to your system. You can list more than one package at a time so sudo apt-get install Pkg1 Pkg2, will install Pkg1 and Pkg2.
  2. Remove packages: sudo apt-get remove Pkg. The same as install except that it removes Pkg.
  3. Update/Remove useless: sudo apt-get update, updates all packages to their most recent version. It is advised that an update is run before this so that apt-get knows what packages to update. Also this command doesn’t remove any packages so your old versions will be left sitting around (but not installed). To remove the clutter run sudo apt-get autoremove.

I just notticed that I have used sudo all over the place but you can mess around and figure out when you do and don’t need to use it.